<?php
/*
Plugin Name: ActiveTrail Webhook Helper
Description: The plugin adds extra webhook topics for WooCommerce.
Author:
Version: 1.2
Author URI:
License:      GPL2
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
*/

/*
Webhook helper is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.

Webhook helper is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Webhook helper. If not, see https://www.gnu.org/licenses/gpl-2.0.html.
*/

if (!defined('ABSPATH')) {
  exit;
}

if (!defined('WEBHOOK_HELPER_VERSION')) {
  require_once 'app' . DIRECTORY_SEPARATOR . 'WH_Helper.php';

  define('WEBHOOK_HELPER_VERSION', WH_Helper::VERSION);

  function wl_wh_init()
  {
    if (WEBHOOK_HELPER_VERSION !== get_option(WH_Helper::OPTION_NAME_VERSION)) {
      WH_Helper::activate();
    }

    WH_Helper::instance();
  }

  add_action('plugins_loaded', 'wl_wh_init', 20);

  register_activation_hook(__FILE__,  array('WH_Helper', 'activate'));
  register_deactivation_hook(__FILE__,  array('WH_Helper', 'deactivate'));
  register_uninstall_hook(__FILE__, array('WH_Helper', 'uninstall'));
}